/* ===================================================================== *
 * InternalSynthIconBits.h (MeV/Midi)
 * ---------------------------------------------------------------------
 * License:
 *  The contents of this file are subject to the Mozilla Public
 *  License Version 1.1 (the "License"); you may not use this file
 *  except in compliance with the License. You may obtain a copy of
 *  the License at http://www.mozilla.org/MPL/
 *
 *  Software distributed under the License is distributed on an "AS
 *  IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 *  implied. See the License for the specific language governing
 *  rights and limitations under the License.
 *
 *  The Original Code is MeV (Musical Environment) code.
 *
 *  The Initial Developer of the Original Code is Sylvan Technical 
 *  Arts. Portions created by Sylvan are Copyright (C) 1997 Sylvan 
 *  Technical Arts. All Rights Reserved.
 *
 *  Contributor(s): 
 *		Dan Walton
 *
 * ---------------------------------------------------------------------
 * Purpose:
 *  Icons for the internal synth endpoint
 * ---------------------------------------------------------------------
 * History:
 *	08/14/2000	cell
 *		Original implementation
 * ---------------------------------------------------------------------
 * To Do:
 *
 * ===================================================================== */

#ifndef __C_InternalSynthIconBits_H__
#define __C_InternalSynthIconBits_H__

const unsigned char LARGE_SYNTH_ICON_BITS[] =
{
	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x00,0x00,0xff,0xff,0xff,
	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x00,0x63,0x63,0x00,0x00,0xff,
	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x00,0x5c,0x5c,0x5c,0x63,0x63,0x00,
	0x00,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x00,0x5c,0x5c,0x00,0x00,0x5c,0x63,
	0x63,0x00,0x00,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x00,0x3f,0x00,0x00,0x17,0x00,0x00,0x5c,
	0x5c,0x63,0x63,0x00,0x00,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x00,0x3f,0x3f,0x00,0x17,0x00,0x00,0x00,0x5c,
	0x5c,0x5c,0x5c,0x63,0x63,0x00,0x00,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
	0xff,0xff,0xff,0xff,0xff,0xff,0x00,0x3f,0x3f,0x00,0x17,0x00,0x00,0x00,0x00,0x00,
	0x5c,0x5c,0x5c,0x00,0x00,0x63,0x63,0x00,0x00,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
	0xff,0xff,0xff,0xff,0xff,0x00,0x3f,0x3f,0x00,0x17,0x00,0x00,0x00,0x14,0x3f,0x00,
	0x00,0x00,0x00,0x17,0x00,0x00,0x5c,0x63,0x63,0x00,0x00,0xff,0xff,0xff,0xff,0xff,
	0xff,0xff,0xff,0xff,0x00,0x3f,0x3f,0x00,0x17,0x00,0x00,0x00,0x14,0x3f,0x00,0x3f,
	0x3f,0x00,0x17,0x00,0x00,0x00,0x00,0x00,0x5c,0x63,0x63,0x00,0x00,0xff,0xff,0xff,
	0xff,0xff,0xff,0x00,0x3f,0x3f,0x00,0x3f,0x00,0x00,0x00,0x14,0x3f,0x00,0x3f,0x3f,
	0x00,0x17,0x00,0x00,0x00,0x00,0x17,0x00,0x00,0x5c,0x5c,0x63,0x63,0x00,0x00,0xff,
	0xff,0xff,0x00,0x3f,0x3f,0x3f,0x00,0x00,0x00,0x00,0x14,0x3f,0x00,0x3f,0x3f,0x00,
	0x17,0x00,0x00,0x00,0x00,0x17,0x00,0x00,0x00,0x5c,0x5c,0x5c,0x5c,0x63,0x00,0xff,
	0xff,0x00,0x3f,0x3f,0x3f,0x3f,0x00,0x3f,0x00,0x14,0x3f,0x00,0x3f,0x3f,0x00,0x17,
	0x00,0x00,0x00,0x00,0x17,0x00,0x00,0x00,0x00,0x00,0x5c,0x5c,0x5c,0x00,0x00,0xff,
	0x00,0x3f,0x3f,0x3f,0x3f,0x00,0x3f,0x3f,0x3f,0x3f,0x00,0x3f,0x3f,0x00,0x3f,0x00,
	0x00,0x00,0x00,0x17,0x00,0x00,0x00,0x14,0x3f,0x00,0x00,0x00,0x5c,0x00,0x00,0xff,
	0x00,0x3f,0x3f,0x3f,0x00,0x3f,0x3f,0x3f,0x3f,0x00,0x3f,0x3f,0x3f,0x00,0x00,0x00,
	0x00,0x00,0x17,0x00,0x00,0x00,0x14,0x3f,0x00,0x3f,0x3f,0x3f,0x00,0x63,0x00,0xff,
	0xff,0x00,0x00,0x00,0x3f,0x3f,0x3f,0x3f,0x00,0x3f,0x3f,0x3f,0x3f,0x00,0x3f,0x00,
	0x00,0x3f,0x00,0x00,0x00,0x14,0x3f,0x00,0x3f,0x3f,0x3f,0x3f,0x00,0x63,0x00,0xff,
	0xff,0x00,0x17,0x00,0x00,0x3f,0x3f,0x00,0x3f,0x3f,0x3f,0x3f,0x00,0x3f,0x3f,0x3f,
	0x00,0x00,0x00,0x00,0x14,0x3f,0x00,0x3f,0x3f,0x3f,0x3f,0x00,0x00,0x63,0x00,0x0f,
	0xff,0x00,0x1c,0x17,0x17,0x00,0x00,0x3f,0x3f,0x3f,0x3f,0x00,0x3f,0x3f,0x3f,0x3f,
	0x00,0x3f,0x00,0x14,0x3f,0x00,0x3f,0x3f,0x3f,0x3f,0x00,0x14,0x00,0x63,0x00,0x0f,
	0xff,0x00,0x00,0x1c,0x1c,0x17,0x17,0x00,0x00,0x3f,0x00,0x3f,0x3f,0x3f,0x3f,0x00,
	0x3f,0x3f,0x3f,0x3f,0x00,0x3f,0x3f,0x3f,0x3f,0x00,0x14,0x14,0x00,0x00,0x0f,0x0f,
	0xff,0xff,0xff,0x00,0x00,0x1c,0x1c,0x17,0x17,0x00,0x00,0x3f,0x3f,0x3f,0x00,0x3f,
	0x3f,0x3f,0x3f,0x00,0x3f,0x3f,0x3f,0x3f,0x00,0x14,0x14,0x14,0x00,0x0f,0x0f,0x0f,
	0xff,0xff,0xff,0xff,0xff,0x00,0x00,0x1c,0x1c,0x17,0x17,0x00,0x00,0x00,0x3f,0x3f,
	0x3f,0x3f,0x00,0x3f,0x3f,0x3f,0x3f,0x00,0x14,0x14,0x14,0x00,0x0f,0x0f,0x0f,0xff,
	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x00,0x00,0x1c,0x1c,0x17,0x17,0x00,0x00,0x3f,
	0x3f,0x00,0x3f,0x3f,0x3f,0x3f,0x00,0x14,0x14,0x14,0x00,0x0f,0x0f,0x0f,0xff,0xff,
	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x00,0x00,0x1c,0x1c,0x17,0x17,0x00,
	0x00,0x3f,0x3f,0x3f,0x3f,0x00,0x14,0x14,0x14,0x00,0x0f,0x0f,0x0f,0xff,0xff,0xff,
	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x00,0x00,0x1c,0x1c,0x17,
	0x17,0x00,0x00,0x3f,0x00,0x14,0x14,0x14,0x00,0x0f,0x0f,0x0f,0xff,0xff,0xff,0xff,
	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x00,0x00,0x1c,
	0x1c,0x17,0x17,0x00,0x14,0x14,0x14,0x00,0x0f,0x0f,0x0f,0xff,0xff,0xff,0xff,0xff,
	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x00,
	0x00,0x1c,0x1c,0x17,0x14,0x14,0x00,0x0f,0x0f,0x0f,0xff,0xff,0xff,0xff,0xff,0xff,
	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
	0xff,0x00,0x00,0x1c,0x14,0x00,0x0f,0x0f,0x0f,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
	0xff,0xff,0xff,0x00,0x00,0x0f,0x0f,0x0f,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff
};

const unsigned char MINI_SYNTH_ICON_BITS[] =
{
	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
	0xff,0xff,0xff,0xff,0xff,0x00,0x00,0x00,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
	0xff,0xff,0xff,0xff,0x00,0x5c,0x5c,0x63,0x00,0x00,0xff,0xff,0xff,0xff,0xff,0xff,
	0xff,0xff,0xff,0x00,0x3f,0x00,0x00,0x5c,0x5c,0x63,0x00,0x00,0xff,0xff,0xff,0xff,
	0xff,0xff,0x00,0x3f,0x00,0x00,0x00,0x00,0x00,0x00,0x5c,0x63,0x00,0x00,0xff,0xff,
	0xff,0x00,0x3f,0x00,0x00,0x00,0x3f,0x00,0x00,0x00,0x00,0x5c,0x5c,0x63,0x00,0xff,
	0x00,0x3f,0x3f,0x00,0x00,0x3f,0x00,0x14,0x00,0x14,0x00,0x00,0x5c,0x5c,0x00,0xff,
	0x00,0x3f,0x00,0x3f,0x3f,0x00,0x14,0x00,0x14,0x00,0x00,0x3f,0x00,0x00,0x00,0xff,
	0x00,0x00,0x00,0x3f,0x00,0x3f,0x00,0x14,0x00,0x00,0x3f,0x00,0x3f,0x0f,0x00,0xff,
	0x00,0x17,0x17,0x00,0x00,0x00,0x3f,0x3f,0x00,0x3f,0x00,0x3f,0x3f,0x0f,0x00,0x0f,
	0xff,0x00,0x00,0x17,0x17,0x00,0x00,0x00,0x3f,0x00,0x3f,0x3f,0x00,0x0f,0x00,0x0f,
	0xff,0xff,0xff,0x00,0x00,0x17,0x17,0x00,0x00,0x3f,0x3f,0x00,0x14,0x00,0x0f,0xff,
	0xff,0xff,0xff,0xff,0xff,0x00,0x00,0x17,0x17,0x00,0x00,0x14,0x00,0x0f,0xff,0xff,
	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x00,0x00,0x17,0x14,0x00,0x0f,0xff,0xff,0xff,
	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x00,0x00,0x0f,0xff,0xff,0xff,0xff,
	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff
};

#endif /*__C_InternalSynthIconBits_H__ */
